<template>
	<div class="hello">
		<h1>{{ msg }}</h1>
		<ul>
			<li v-for="menuItem in menuItems" v-bind:key="menuItem.id">
				<a v-bind:href="menuItem.link">
					{{ menuItem.text }}
				</a>
			</li>
		</ul>
	</div>
</template>

<script>
	export default {
		name: 'NavbarTop',
		data () {
			return {
				menuItems: [
				{ id: 0, text: 'Home', link: 'home' },
				{ id: 1, text: 'Calculator', link: 'calculator' },
				{ id: 2, text: 'Drag & Drop', link: 'draganddrop' },
				{ id: 3, text: 'Countdown', link: 'countdown' },
				{ id: 4, text: 'GPS Map', link: 'gpsmap' },
				{ id: 5, text: 'API Data Fetching', link: 'apidatafetching' }
				],
				msg: 'Welcome to my first Vue.js application!'
			}
		}
	}
</script>

<style scoped>
	ul {
		display: block;
		text-align: center;
		background-color: rgb(65, 184, 131);
	}
	li {
		display: inline-block;
		padding: 10px;
		transition: all 0.3s ease-in-out;
	}
	li:hover {
		background-color: rgb(95, 214, 161);
		transition: all 0.3s ease-in-out;
	}
	a {
		display: block;
		font-size: 1.1em;
		text-decoration: none;
		color: rgb(53, 73, 94);
		transition: all 0.3s ease-in-out;
	}
	a:hover {
		color: white;
		transition: all 0.3s ease-in-out;
	}
</style>
